Endpoints
Authentication
POST
/api/v1/auth/login
Authenticate and receive JWT token
Public
POST
/api/v1/auth/register
Create new user account
Public
GET
/api/v1/auth/me
Get current authenticated user
Authentication required
POST
/api/v1/auth/refresh
Verify token is still valid
Authentication requiredUser Profile
GET
/api/v1/user/profile
Get full user profile
Authentication required
PUT
/api/v1/user/profile
Update user profile fields
Authentication required
PUT
/api/v1/user/password
Change password
Authentication required
GET
/api/v1/user/roles
Get user roles
Authentication requiredReference Data
GET
/api/v1/countries
List all active countries
Public
GET
/api/v1/countries/{code}
Get country by ISO code
Public
GET
/api/v1/languages
List all active languages
Public
GET
/api/v1/languages/{code}
Get language by code
PublicTranslations
GET
/api/v1/translations/{locale}
Get all translations for a locale
Authentication required
POST
/api/v1/translations
Get specific translation keys
Authentication requiredFull API Specification
Get the OpenAPI 3.0 specification in JSON format:
GET /api/v1/doc.json